#from __future__ import unicode_literals
# -*- coding: utf-8 -*-

listeTypeAction = ["AoRien", "AoAttaque", "AoJetDes", "AoMsg"]


class ObjetAction():
    """action effectuee par un objet"""
    def __init__(self, typeAction = "AoRien"):
        self.majTypeAction(typeAction)

    def majTypeAction(self, typeAction):
        if typeAction in listeTypeAction:
            self.typeAction = typeAction
        else:
            if not self.typeAction in listeTypeAction:
                self.typeAction = "AoRien"

    def executer(self):
        """execute l'action:
            AoMsg: affiche la boite de dialogue avec le message prevu
            AoJetDes: affiche la boite de dialogue jet de des
            AoAttaque: renvoie l'attaque en question"""
    
        if self.typeAction = "AoMsg":
            pass
        
        elif self.typeAction = "AoJetDes":
            pass

        elif self.typeAction = "AoAttaque":
            pass

        elif self.typeAction = "AoRien":
            pass

        else:
            pass
